Subject: Re: bug#27397: [PATCH] New commands for bulk tracing of elisp functions

From: Dmitry Gutov <[email-masked]>
Date: Mon, 19 Jun 2017 15:04:51 +0300

On 6/19/17 2:36 PM, Michael Albinus wrote:

>> (with-eval-after-load 'tramp
>>    (trace-package "tramp-"))
> 
> But this would also trace functions from tramp-sh.el, which I don't want.

What would be the equivalent of your proposal, then?

>> If we do what you suggest, it should be a new discussion, and it
>> should improve elp-instrument-package as well.
> 
> I don't believe it will be too hard to implement; why not doing it just
> now?

Because we risk stopping now for a while and having two inconsistent 
functions in Emacs. It also adds a burden to the contributor who might 
now have signed up for tackling this particular challenge.

There will also be some nuances to work out, I'm sure.